### Method

# Foundry SymbolLocator locate

since: 1.1

#### Declaration [src]

    FoundrySymbolLocator*
    foundry_symbol_locator_locate (
      FoundrySymbolLocator* self,
      GBytes* contents
    )

#### Description [src]

Attempt to resolve `locator` into a fixed position.

If the locator uses a pattern, this will try to locate the pattern within `contents`.

Available since: 1.1

#### Parameters

`contents`

  Type: `GBytes`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `FoundrySymbolLocator`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.